## com.bbn.openmap.omGraphics.grid
Class GeneratorLoader

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.omGraphics.grid.GeneratorLoader

All Implemented Interfaces:
  java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener, LightMapHandlerChild, PropertyConsumer

Direct Known Subclasses:
  ColorGeneratorLoader

public class GeneratorLoader
extends OMComponent

A GeneratorLoader is a component that can provide an OMGridGenerator. It can provide a GUI to control the settings on the next generator it provides. This is a basic GeneratorLoader that doesn't do anything.

Field Summary
`protected java.lang.String` `prettyName`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`GeneratorLoader()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` You should override this so the listener receives any particular events that the GeneratorLoader sends out.
`OMGridGenerator` `getGenerator()`
`java.awt.Component` `getGUI()`
`java.lang.String` `getPrettyName()`
`java.util.Properties` `getProperties(java.util.Properties props)` PropertyConsumer method, to fill in a Properties object, reflecting the current values of the OMComponent.
`void` `setPrettyName(java.lang.String name)`
`void` `setProperties(java.lang.String prefix, java.util.Properties props)` Sets the properties for the OMComponent.

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyInfo, getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prettyName

    protected java.lang.String prettyName

Constructor Detail

### GeneratorLoader

    public GeneratorLoader()

Method Detail

### getPrettyName

    public java.lang.String getPrettyName()

### setPrettyName

    public void setPrettyName(java.lang.String name)

### getGUI

    public java.awt.Component getGUI()

### getGenerator

    public OMGridGenerator getGenerator()

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties props)

  Description copied from class: `OMComponent`
  Sets the properties for the OMComponent.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Overrides:
    `setProperties` in class `OMComponent`
  Parameters:
    `prefix` - the token to prefix the property names
    `props` - the `Properties` object

### getProperties

    public java.util.Properties getProperties(java.util.Properties props)

  Description copied from class: `OMComponent`
  PropertyConsumer method, to fill in a Properties object, reflecting the current values of the OMComponent. If the component has a propertyPrefix set, the property keys should have that prefix plus a separating '.' prepended to each propery key it uses for configuration.

  Specified by:
    `getProperties` in interface `PropertyConsumer`
  Overrides:
    `getProperties` in class `OMComponent`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If props equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  You should override this so the listener receives any particular events that the GeneratorLoader sends out.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details